from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNameAccess

@runtime_checkable
class XAutoTextGroup(XNameAccess, Protocol):
    def getTitles(self) -> list[str]: ...
